%define name		sawfish
%define version		0.30.3
%define release 	18mdk
%define libver		0.12.4
%define repver		0.13a
%define x11bindir	 %{_prefix}/X11R6/bin

Name:		%{name}
Summary:	An extensible window manager for the X Window System
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Graphical desktop/Sawfish
BuildRequires: XFree86-devel ORBit-devel imlib-devel gnome-libs-devel audiofile-devel control-center-devel esound-devel gmp-devel gpm-devel libjpeg-devel ncurses-devel libpng-devel readline-devel librep-devel libtiff-devel libungif-devel zlib-devel
URL:		http://sawmill.sourceforge.net/

Source:		%{name}-%{version}.tar.bz2
Source1:	HeliX.tar.bz2
Source2:	site-init-mdk.jl.bz2
Source3:	http://www.acemake.com/hagbard/archives/sawfish.el.bz2
Source4:	sawfish-menu-method.bz2
Source5:	%{name}.xpm.bz2
Source6:	%{name}-32.xpm.bz2
Source7:	custom-defaults.jl.bz2
Source8:	%{name}-icons.tar.bz2
Source9:	startsawfish.bz2
Source10:	%{name}-48.xpm.bz2
Source11:	ws-background.jl.bz2

Requires:	librep >= %{libver}, rep-gtk >= %{repver}, rep-gtk-gnome >= %{repver}, qiv
PreReq:		/sbin/install-info
BuildPreReq:	rep-gtk >= %{repver}, rep-gtk-gnome >= %{repver}, rep-gtk-libglade >= %{repver}, control-center-devel, gmp-devel, librep-devel >= %{libver}, librep >= %{libver}, texinfo
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	sawmill, sawmill-gnome, sawfish-gnome


%description
Sawfish is an extensible window manager which uses a Lisp-based scripting
language.  All window decorations are configurable and the basic idea is to
have as much user-interface policy as possible controlled through the Lisp
language.  Configuration can be accomplished by writing Lisp code in a
personal .sawfishrc file, or using a GTK+ interface.  Sawfish is mostly
GNOME compliant.


%package themer
Summary:	A GUI for creating sawfish window manager themes.
Group:		Graphical desktop/Sawfish
Requires:	%{name} = %{version}, rep-gtk-libglade = %{repver}
Obsoletes:	sawmill-themer

%description themer
The sawfish-themer package contains an optional theme builder for the sawfish 
window manager. sawfish-themer allows static window themes to be created and 
edited in a graphical environment.


%prep
%setup -q 

%build
#%co#nfigure --with-readline --disable-gtktest
%configure --with-readline --bindir=%{x11bindir}


bzcat %{SOURCE7} > lisp/custom-defaults.jl
make host_type=%{_target_platform}

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/{control-center,gnome/{wm-properties,apps/Settings}}
mkdir -p %{buildroot}%{x11bindir}
#touch %{buildroot}%{_bindir}/sawfish{,-client,-capplet,-ui,-themer}
#chmod +x %{buildroot}%{_bindir}/sawfish{,-client,-capplet,-ui,-themer}
%makeinstall host_type=%{_target_platform} GNOMEDIR=%{buildroot}%{_prefix} bindir=%{buildroot}%{x11bindir} 

mkdir -p %{buildroot}%{_datadir}/{emacs,sawfish}/site-lisp/
bzcat %{SOURCE2} > %{buildroot}%{_datadir}/sawfish/site-lisp/site-init.jl
bzcat %{SOURCE3} > %{buildroot}%{_datadir}/emacs/site-lisp/sawfish.el
bzcat %{SOURCE11} > %{buildroot}%{_datadir}/sawfish/site-lisp/ws-background.jl

mkdir -p %{buildroot}%{_sysconfdir}/X11/%{name}
mkdir -p %{buildroot}%{_datadir}/{pixmaps,sawfish/themes}
install -m644 %{SOURCE1} %{buildroot}%{_datadir}/sawfish/themes/
tar xvyf %{SOURCE8} -C %{buildroot}%{_datadir}/pixmaps

mkdir -p %{buildroot}%{_menudir}
mkdir -p %{buildroot}%{_sysconfdir}/menu-methods
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(sawfish): \
  needs=wm\
  section=Session/Windowmanagers\
  title=Sawfish\
  icon=sawfish.xpm\
  command=%{x11bindir}/sawfish
EOF
bzcat %{SOURCE4} > %{buildroot}%{_sysconfdir}/menu-methods/%{name}

# icon
mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_liconsdir}
bzcat %{SOURCE5} > %{buildroot}%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE6} > %{buildroot}%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE10} > %{buildroot}%{_liconsdir}/%{name}.xpm

mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat << EOF > %{buildroot}%{_sysconfdir}/X11/wmsession.d/08Sawfish
NAME=Sawfish
ICON=sawfish.xpm
DESC=The Sawfish Window Manager
EXEC=%{x11bindir}/startsawfish
SCRIPT:
exec %{x11bindir}/startsawfish
EOF

bzcat %{SOURCE9} > %{buildroot}/%{x11bindir}/start%{name}

%post
%update_menus
%_install_info sawfish.info
%make_session
/sbin/ldconfig


%preun
%_remove_install_info sawfish.info


%postun
%clean_menus
%make_session
/sbin/ldconfig


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING INSTALL README NEWS FAQ THANKS TODO 
%doc po/sawfish.pot nokogiri/WIDGETS nokogiri/WISHLIST
%{x11bindir}/sawfish
%{x11bindir}/sawfish-capplet
%{x11bindir}/sawfish-client
%{x11bindir}/sawfish-ui
%attr(755,root,root) %{x11bindir}/startsawfish
%{_datadir}/%{name}/%{version}
%{_datadir}/%{name}/themes
%{_infodir}/sawfish*
%config(noreplace) %{_datadir}/%{name}/site-lisp/site-init.jl
%{_datadir}/%{name}/site-lisp/ws-background.jl
%{_datadir}/emacs/site-lisp
%{_libexecdir}/%{name}/%{version}/%{_target_platform}
%{_datadir}/pixmaps/*
%{_datadir}/icons
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/menu-methods/%{name}
%{_menudir}/%{name}
%{_datadir}/control-center/Sawfish
%{_datadir}/gnome/apps/Settings/Sawfish
%{_datadir}/gnome/wm-properties/Sawfish.desktop
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/*
%dir %{_sysconfdir}/X11/%{name}

%files themer
%defattr(-,root,root)
%{x11bindir}/sawfish-themer
%{_datadir}/sawfish/%{version}/themer.glade


%changelog
* Mon Oct 23 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.30.3-18mdk
- Disable background change on workspace (correct partly bug 911)

* Sun Oct 08 2000 David BAUDENS <baudens@mandrakesoft.com> 0.30.3-17mdk
- Fix move window with mouse (Linux-Mandrake UI charter compliant)

* Wed Oct  4 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.30.3-16mdk
- Update for more backgrounds

* Tue Oct  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.30.3-15mdk
- Add background change on workspace

* Mon Sep 25 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.30.3-14mdk
- added requirement for rep-gtk-gnome (without it sawfish capplet is 
  broken)

* Fri Sep  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.30.3-13mdk
- Change font and time for tooltips
- use more macros

* Thu Aug 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.30.3-12mdk
- Fix wmsession again

* Thu Aug 30 2000 David BAUDENS <baudens@mandrakesoft.com> 0.30.3-11mdk
- Fix wmsession

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.30.3-10mdk
- Change default settings (keybinding, number of desktop)

* Tue Aug 29 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.30.3-9mdk
- Move binaries to /usr/X11R6/bin
- Correct menu load when gnome is not started

* Wed Aug 16 2000 David BAUDENS <baudens@mandrakesoft.com> 0.30.3-8mdk
- Fix menu entry

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.30.3-7mdk
- automatically added BuildRequires

* Sat Aug  5 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.30.3-6mdk
- fix site-init-mdk.jl
- merge with author's specfile
- custom-defaults were causing problems so created entirely new one based
  on 0.30.3 (previous was 0.24?!?)

* Thu Aug  3 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.30.3-5mdk
- force version requirements for librep and rep-gtk

* Thu Aug  3 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.30.3-5mdk
- add some default shortcuts

* Tue Aug  1 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.30.3-4mdk
- 6Sawfish to 6sawfish

* Sun Jul 30 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.30.3-3mdk
- put 6Sawfish back in (ooops)

* Thu Jul 27 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.30.3-2mdk
- remove capplet package since sawfish includes it's own
- remove 6Sawfish from package

* Thu Jul 27 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.30.3-1mdk
- 0.30.3
- add BuildPreReq: texinfo
- please use rep-gtk-0.13a-3mdk and librep-0.12.4-2mdk due to some
  rpm problems in the previous builds

* Wed Jul 19 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.30.2-2mdk
- rebuild for directory changes

* Sat Jul 15 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.30.2-1mdk
- 0.30.2

* Wed Jul 12 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.30-2mdk
- add /etc/X11/wmsession.d/6Sawfish
- more macroization

* Tue Jul 11 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.30-1mdk
- 0.30
- make themer a seperate package again
- merge gnome support into main package (this makes it like author's)

* Mon Jul 10 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.29-1mdk
- 0.29
- macroization
- many other specfile cleanups

* Tue May 23 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.27.2-2mdk
- update BuildPreReq to include rep-gtk and rep-gtk-gnome

* Thu May 11 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.27.2-1mdk
- 0.27.2

* Thu May 11 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.27.1-1mdk
- added BuildPreReq
- change name from Sawmill to Sawfish
- change Group
- replace sawmill.el with sawfish.el
- renamed sawmill-menu-method to sawfish-menu-method and fixed
- renamed icons
- updated desktop menus
- remove nobeep, capplet and foobar patches (code fixed)
- Obsoletes sawmill
- 0.27.1

* Thu May 11 2000 Daouda Lo <daouda@mandrakesoft.com> 0.26-5mdk
- fix the silly window no value bug ! no beep at all !
- sawmill icons in control center finally appear!
- Many cleanups !

* Mon May  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.26-4mdk
- added icons to menu entry

* Fri Apr 28 2000 dam's <damien@mandrakesoft.com> 0.26-3mdk
- added fndSession call.

* Wed Apr 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.26-2mdk
- re-include sawmill themer in the main package since its light
- fix filelist

* Tue Apr 18 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.26-1mdk 
- fix group
- applied helixcode gnome patches and mandrake optimization
- remove sawmill-themer component (obsoletes it, is included in main sawmill
  package)

* Mon Apr 10 2000 Vincent Danen <vdanen@linux-mandrake.com>
- fix prefix

* Sun Mar 19 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.25.2

* Sat Mar 11 2000 Vincent Danen <vdanen@linux-mandrake.com>
- requires new versions of librep and rep-gtk
- included the Sawmill settings in gnome/apps

* Sat Mar 11 2000 Vincent Danen <vdanen@linux-mandrake.com>
- specfile cleanups
- 0.25.1

* Mon Feb 14 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.24

* Fri Feb 04 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used another great srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Jan 30 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
